package main

import (
	"fmt"

	"github.com/go-vgo/robotgo"
)

func main() {

fmt.Println("--- Please press ctrl + shift + q ---")
	// start hook
	s := robotgo.Start()
	// end hook
	defer robotgo.End()

	for ev := range s {
		fmt.Println("hook: ", ev)
        fmt.Println(ev.Kind)
        fmt.Println(ev.Rawcode)
	}
}
